Skip to main content
POST
/
entities
/
asset
Create Asset
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/asset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "type": "charger",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "properties": {
    "power_kw": 1,
    "capacity_kwh": 1
  },
  "asset_model": "<string>",
  "installation_date": "2023-12-25",
  "serial_number": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "type": "boundary meter",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "properties": {
    "power_kw": 1,
    "capacity_kwh": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Request model for creating a new asset.

external_id
string
required

Vendor-specific identifier for the asset

type
enum<string>
required

Type of asset being created

Available options:
charger,
battery,
heat pump,
electric_vehicle,
hot water tank
site_id
string<uuid>
required

ID of the site where the asset is located

properties
Properties · object

Optional asset properties

asset_model
string

Name of the AssetModel to assign (looked up by name)

installation_date
string<date>

Date when the asset was installed

serial_number
string

The serial number of the asset

Response

Successfully created asset

Response model for asset information.

id
string<uuid>
required

Axle's internal UUID for the asset

external_id
string
required

Vendor-specific identifier for the asset

type
enum<string>
required

Type of asset

Available options:
boundary meter,
charger,
battery,
heat pump,
hot water tank,
frequency meter,
electric_vehicle,
pv inverter
site_id
string<uuid>
required

ID of the site where the asset is located

properties
Properties · object

Optional asset properties